<ion-header translucent>
  <ion-toolbar class="title_bar">
    <div class="row">
      <div class="col-9">
        <h2 class="title">Registration</h2>
      </div>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="registrationForm">
    <!-- <ion-item>
      <ion-label position="floating">First name</ion-label>
      <ion-input  type="text" formControlName="first_name"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Last name</ion-label>
      <ion-input type="text" formControlName="last_name"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Mobile</ion-label>
      <ion-input type="number" formControlName="mobile"></ion-input>
    </ion-item> -->
    <ion-item>
      <ion-label position="floating">Parking_no</ion-label>
      <ion-input type="text" formControlName="parking_no"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Vehicle_no</ion-label>
      <ion-input type="text" formControlName="vehicle_no"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Amount</ion-label>
      <ion-input type="number" formControlName="amount"></ion-input>
    </ion-item>
    <!-- <ion-item>
      <ion-label position="floating" style="margin-bottom:20px">Select date of carwash</ion-label>
      <ion-input type="date" min="{{minDate}}" formControlName="date_of_carwash"></ion-input>
     
    </ion-item> -->
    <div style="padding-bottom: 50px;" > 
      <ion-button size="large" (click)="register()" [disabled]="registrationForm.invalid" expand="block">Register</ion-button>
    </div>
  </form>
</ion-content>